Page MenuHomePhabricator

Add repository field to EntityId
Closed, ResolvedPublic

Description

  • the string returned by getSerialization() should include the prefix.
  • equals() should consider the prefix.

New methods to add:

  • getRepoName() (or getRepoPrefix, or getOrigin, or...); returns "" for the local repo.
  • getLocalPart() (this might not even be needed, but nice to have)
  • isForeign() (to check and fail in some critical code pathes)

Related Objects

StatusAssignedTask
Declineddchen
OpenNone
OpenNone
DuplicateNone
OpenNone
ResolvedAbit
DuplicateNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
StalledNone
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
Resolveddaniel
ResolvedJakob_WMDE

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 13 2016, 2:24 PM
Addshore moved this task from incoming to ready to go on the Wikidata board.Sep 16 2016, 6:19 PM
daniel moved this task from proposed to accepted on the WMDE-TLA-Team board.Sep 19 2016, 1:46 PM
daniel moved this task from accepted to doing on the WMDE-TLA-Team board.
Jakob_WMDE moved this task from doing to done on the WMDE-TLA-Team board.Sep 26 2016, 9:31 AM
daniel added a subscriber: daniel.Sep 27 2016, 3:31 PM

Done in https://github.com/wmde/WikibaseDataModel/pull/678, however blocked on follow up discussion
https://github.com/wmde/WikibaseDataModel/pull/681.

Pending: needs a release (6.2) of the WikibaseDataModel component.

daniel moved this task from done to needs review on the WMDE-TLA-Team board.
WMDE-leszek moved this task from needs review to done on the WMDE-TLA-Team board.Oct 19 2016, 8:17 AM
WMDE-leszek added a subscriber: WMDE-leszek.

We've decided to go the way taken in https://github.com/wmde/WikibaseDataModel/pull/678. The approach could be changed if the better solution is proposed in the future.

WkikibaseDataModel 6.2 released https://github.com/wmde/WikibaseDataModel/releases/tag/6.2.0

daniel closed this task as Resolved.Oct 31 2016, 4:30 PM